Subject: Re: Mpc8315erdb openvpn segmentation fault

From: Vasanth Ragavendran <[email-masked]>
Date: Sun, 13 Mar 2011 19:46:08 -0700 (PDT)

Thanks scott! my question must have been very silly to u! thanks for replying
to it patiently!!!

Vasanth Ragavendran wrote:
> 
> Thanks again Scott. That was really helpful. Actually i forgot to mention
> that i had created an ext2 ramdisk file system and it was non-persistent
> (the mount point was /dev/ram for this ext2 ramdisk filesystem). and then
> i changed the file system to jffs2 and it is persistent (and the mount
> point was /dev/mtdblock1 for jffs2 file system). so my question is why is
> that the ext2 ramdisk is non-persistent? is it because of the mount point
> /dev/ram and what needs to be changed in order to make it persistent.
> thanks again for prompt response.. 
> 
> 
> Scott Wood-2 wrote:
>> 
>> On Mon, 7 Mar 2011 20:28:32 -0800
>> Vasanth Ragavendran <[email-masked]> wrote:
>> 
>>> 
>>> Thanks a ton Scott. Actually i was working with the same version of the
>>> kernel on both the boards.
>>> it was 2.6.29.6. neither i changed the u-boot. it was the same in both.
>>> however i recompiled the kernel and i installed on both the boards and
>>> it
>>> worked fine! :) thanks again for responding. however i've another
>>> question.
>>> my filesystem in the board is non-persistent i.e. the files i create are
>>> erased after i reboot i know the files are getting stored in RAM and i
>>> wish
>>> to make them persistent. what do i need to do for this? should i create
>>> a
>>> separate partition in the flash and load certain files into that
>>> partition?
>>> or how should i make it persistent so that files stay beyond reboot!
>>> thanks
>>> again! eagerly awaiting your response.
>> 
>> Yes, you should create a filesystem (e.g. jffs2) on a flash partition.
>> 
>> -Scott
>> 
>> _______________________________________________
>> Linuxppc-dev mailing list
>> [email-masked]
>> https://lists.ozlabs.org/listinfo/linuxppc-dev
>> 
>> 
> 
> 

-- 
View this message in context: http://old.nabble.com/Mpc8315erdb-openvpn-segmentation-fault-tp31086738p31140838.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.